Generic branching support
Functionality by programming task » Programming models

## Topics

| Branch with a function
| Tie-breaking for variable selection

## Classes

class | Gecode::ValBranch< Var >
| Value branching information. More...
class | Gecode::VarBranch< Var >
| Variable branching information. More...

## Typedefs

typedef std::function< double(const Space &home, double w, double b)> | Gecode::BranchTbl
| Tie-break limit function.

## Detailed Description

Support for randomization and tie-breaking that are independent of a particular variable domain.

## Typedef Documentation

## BranchTbl

typedef std::function<double(const Space& home, double w, double b)> Gecode::BranchTbl

Tie-break limit function.

Here the value w is the worst and is the best merit value found. The function must return the merit value that is considered the limit for breaking ties.

Definition at line 48 of file var.hpp.